package com.atguigu.ssyx.search.service;

import com.atguigu.ssyx.model.search.SkuEs;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ClassName: SkuService
 * Package: com.atguigu.ssyx.search.service
 *
 * @author yovinchen
 * @Create 2023/9/16 17:23
 */

@Service
public interface SkuService {
    /**
     * 上架商品列表
     *
     * @param skuId
     */
    void upperSku(Long skuId);

    /**
     * 下架商品列表
     *
     * @param skuId
     */

    void lowerSku(Long skuId);

    /**
     * 获取爆品商品
     *
     * @return
     */
    List<SkuEs> findHotSkuList();
}
