package com.atguigu.ssyx.search.repository;


import com.atguigu.ssyx.model.search.SkuEs;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;

import java.net.ContentHandler;
import java.util.List;

/**
 * ClassName: SkuRepository
 * Package: com.atguigu.ssyx.search.repository
 *
 * @author yovinchen
 * @Create 2023/9/16 17:24
 */
public interface SkuRepository extends ElasticsearchRepository<SkuEs, Long> {
    //获取爆款商品
    Page<SkuEs> findByOrderByHotScoreDesc(Pageable pageable);

}
